#
# Conditional build:
%bcond_without	lxc		# LXC support
%bcond_without	qemu		# Qemu support
%bcond_without	python3		# CPython 3.x module

# qemu available only on x86 and ppc
%ifnarch %{ix86} %{x8664} x32 ppc
%undefine	with_qemu
%endif

%define		origname	libvirt-python
Summary:	Python 2.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 2.x do współpracy z funkcjami wirtualizacji
Name:		python-libvirt
Version:	9.0.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	ftp://ftp.libvirt.org/libvirt/python/%{origname}-%{version}.tar.gz
# Source0-md5:	fff2cdccf78b4ca73580a08be79d7060
URL:		http://www.libvirt.org/
BuildRequires:	libvirt-devel >= 4.5.0
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-devel >= 1:2.4
%if %{with python3}
BuildRequires:	python3 >= 1:3
BuildRequires:	python3-devel >= 1:3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildConflicts:	python-PyXML < 0.8.4-13
Requires:	libvirt >= 4.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 2.x bindings for the libvirt library.

%description -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 2.x do biblioteki libvirt.

%package -n python3-libvirt
Summary:	Python 3.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 3.x do współpracy z funkcjami wirtualizacji
Group:		Development/Languages/Python
Requires:	libvirt >= 1.0.2

%description -n python3-libvirt
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 3.x bindings for the libvirt library.

%description -n python3-libvirt -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 3.x do biblioteki libvirt.

%prep
%setup -q -n %{origname}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-libvirt
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{py3_sitedir}/libvirtmod.*.so
%{py3_sitedir}/libvirt.py
%{py3_sitedir}/__pycache__/libvirt.*.py[co]
%{py3_sitedir}/libvirtaio.py
%{py3_sitedir}/__pycache__/libvirtaio.*.py[co]
%if %{with lxc}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_lxc.*.so
%{py3_sitedir}/libvirt_lxc.py
%{py3_sitedir}/__pycache__/libvirt_lxc.*.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_qemu.*.so
%{py3_sitedir}/libvirt_qemu.py
%{py3_sitedir}/__pycache__/libvirt_qemu.*.py[co]
%endif
%{py3_sitedir}/libvirt_python-%{version}-py*.egg-info
%changelog
* Wed Feb 08 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-libvirt.git;a=log;h=master

* Wed Feb 08 2023 Marcin Krol <hawk@tld-linux.org> 7067fe9
- updated to 9.0.0

* Fri Sep 02 2022 Marcin Krol <hawk@tld-linux.org> ad84a61
- updated to 8.7.0

* Sat Aug 27 2022 Marcin Krol <hawk@tld-linux.org> 1deea31
- updated to 8.6.0

* Thu Mar 31 2022 Marcin Krol <hawk@tld-linux.org> b71f97c
- updated to 8.1.0

* Sat Sep 18 2021 Marcin Krol <hawk@tld-linux.org> 0cca194
- updated to 7.7.0

* Sat Jul 10 2021 Marcin Krol <hawk@tld-linux.org> bc7bc58
- updated to 7.5.0

* Sun Jan 03 2021 Marcin Krol <hawk@tld-linux.org> f71d949
- updated to 6.10.0

* Sat May 09 2020 Marcin Krol <hawk@tld-linux.org> a18d193
- updated to 6.3.0

* Mon Apr 06 2020 Marcin Krol <hawk@tld-linux.org> f270041
- updated to 6.2.0, python 2 support was dropped upstream

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> 0ee7c43
- updated to 5.10.0

* Wed Oct 30 2019 Marcin Krol <hawk@tld-linux.org> 58d61aa
- updated to 5.8.0

* Wed Aug 21 2019 Marcin Krol <hawk@tld-linux.org> 53da3d8
- updated to 5.6.0

* Sun Jul 14 2019 Marcin Krol <hawk@tld-linux.org> b00b7fd
- updated to 5.5.0

* Mon Jun 17 2019 Marcin Krol <hawk@tld-linux.org> 9e65c02
- updated to 5.4.0

* Tue May 07 2019 Marcin Krol <hawk@tld-linux.org> d5d9615
- updated to 5.3.0

* Mon Oct 22 2018 Marcin Krol <hawk@tld-linux.org> 8e44225
- updated to 4.8.0

* Mon Sep 03 2018 Marcin Krol <hawk@tld-linux.org> 3835bc0
- updated to 4.7.0

* Thu Aug 30 2018 Marcin Krol <hawk@tld-linux.org> 37d9d64
- merged 4.6.0 from PLD

* Sat May 19 2018 Marcin Krol <hawk@tld-linux.org> 90b90b6
- merged 4.3.0 from PLD

* Sat Apr 14 2018 Marcin Krol <hawk@tld-linux.org> 24372d1
- updated to 4.2.0

